using System;
using System.Collections.Generic;

namespace Interfaces
{
    public class RaceSessionHistory
    {
        public RaceSessionHistory()
        {
            LapTimes = new List<RaceLap>();
            Racers = new List<Pilot>();
        }

        public string Title { get; set; }

        public int LapCount { get; set; }

        public int RacerCount { get; set; }

        public string RaceType
        {
            get { return Enum.GetName(typeof(RaceMode), RaceMode); }
        }

        public RaceMode RaceMode { get; set; }

        public Pilot FastestPilot { get; set; }

        public int FastestLapTime { get; set; }

        public List<RaceLap> LapTimes { get; set; }

        public List<Pilot> Racers { get; set; }
    }
}